<?xml version="1.0"?>
<!DOCTYPE hibernate-mapping PUBLIC "-//Hibernate/Hibernate Mapping DTD//EN" "http://www.hibernate.org/dtd/hibernate-mapping-3.0.dtd">
<hibernate-mapping package="com.ifish.entity">
	<class name="BrowseRoom" table="tbl_browse_room" dynamic-insert="true" dynamic-update="true">
		<meta attribute="sync-DAO">false</meta>
		<composite-id name="browseRoomId" class="com.ifish.entity.BrowseRoomId">
			<key-property	 name="roomId" 		column="room_id" 	type="java.lang.Integer" />
			<key-property	 name="userId" 		column="user_id" 	type="java.lang.Integer" />
		</composite-id>
		<property 	name="updateTime"		column="update_time" 		type="timestamp" />
		<property 	name="createTime"		column="create_time" 		type="timestamp"  update="false"/>
	</class>
</hibernate-mapping>